Subject: Re: RFH: is the current file available to a custom merge driver?

From: Eric Raible <[email-masked]>
Date: Tue, 31 Aug 2010 12:07:40 -0700

On 8/31/2010 11:57 AM, Jonathan Nieder wrote:
> Hi Eric,
> 
> Eric Raible wrote:
> 
>> In writing a custom merge driver to support $dayjob
>> requirements I've failed to find a simple way of getting
>> the current file name that the driver is supposed to
>> be merging.
>>
>> I of course have the "ancestor", "ours", and "theirs"
>> temporary files, but for Ui purposes I'd like to know
>> the filename as well.
> 
> It's not available.  You can try modifying ll-merge.c to
> expose it if you have an idea about how that should work.
> .

Thanks Jonathan for the (very!) quick response, but since
time is short I think I'll stick with my current technique
(grepping $(git ls-tree -r HEAD) for $(git hash-object %A))